Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class KeyTable

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.KeyTable

public class KeyTable
extends java.lang.Object

Table of element keys, keyed by document node. An instance of this class is keyed by a Document node that should be matched with the root of the current context. It contains a table of name mappings to tables that contain mappings of identifier values to nodes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`org.w3c.dom.NodeList` | `getNodeSetByKey(java.lang.String name, java.lang.String ref)` Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeSetByKey

    public org.w3c.dom.NodeList getNodeSetByKey(java.lang.String name,
                                                java.lang.String ref)

  Given a valid element key, return the corresponding node list.

  Parameters:
    `The` - name of the key, which must match the 'name' attribute on xsl:key.
    `ref` - The value that must match the value found by the 'match' attribute on xsl:key.
  Returns:
    If the name was not declared with xsl:key, this will return null, if the identifier is not found, it will return an empty node set, otherwise it will return a nodeset of nodes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD